# - Try to find the EGL library
# Once done this will define
# EGL_FOUND - the EGL library is installed on the system
# EGL_INCLUDE_DIR - directory with EGL header files
# EGL_LIBRARY - the EGL library with absolute path

find_path (EGL_INCLUDE_DIR
    NAMES EGL/egl.h
    PATHS /usr/include
          /usr/X11R6/include
          /usr/local/include
)

find_library (EGL_LIBRARY
    NAMES EGL
    PATHS /usr/lib
          /usr/X11R6/lib
          /usr/local/lib
)

set (EGL_FOUND "NO")

if (EGL_INCLUDE_DIR AND EGL_LIBRARY)
set (EGL_FOUND "YES")
endif (EGL_INCLUDE_DIR AND EGL_LIBRARY)
